Google Web Toolkit
Search Google Code:

# Class StringBuffer

public final class StringBuffer
extends Object
implements CharSequence
A fast way to create strings using multiple appends.

## Constructors

StringBuffer() |
StringBuffer(int) | This implementation does not track capacity; using this constructor is functionally equivalent to using the zero-argument constructor.
StringBuffer(String) |

## Methods

append(boolean) |
append(char) |
append(char[]) |
append(char[], int, int) |
append(double) |
append(float) |
append(int) |
append(long) |
append(Object) |
append(String) |
append(StringBuffer) |
charAt(int) |
delete(int, int) |
deleteCharAt(int) |
getChars(int, int, char[], int) |
indexOf(String) |
indexOf(String, int) |
insert(int, boolean) |
insert(int, char) |
insert(int, char[]) |
insert(int, char[], int, int) |
insert(int, double) |
insert(int, float) |
insert(int, int) |
insert(int, long) |
insert(int, Object) |
insert(int, String) |
lastIndexOf(String) |
lastIndexOf(String, int) |
length() |
replace(int, int, String) |
setCharAt(int, char) |
setLength(int) |
subSequence(int, int) |
substring(int) |
substring(int, int) |
toString() |